=== modified file 'bzrlib/repository.py'
--- bzrlib/repository.py	2009-08-06 02:23:37 +0000
+++ bzrlib/repository.py	2009-08-24 07:27:38 +0000
@@ -464,9 +464,9 @@
             if content_summary[2] is None:
                 raise ValueError("Files must not have executable = None")
             if not store:
-                if (# if the file length changed we have to store:
-                    parent_entry.text_size != content_summary[1] or
-                    # if the exec bit has changed we have to store:
+                # We can't trust a check of the file length because of content
+                # filtering...
+                if (# if the exec bit has changed we have to store:
                     parent_entry.executable != content_summary[2]):
                     store = True
                 elif parent_entry.text_sha1 == content_summary[3]:

